System Requirement - Recommended v Minimum

  • 1
  • Problem
  • Updated 4 months ago
The "minimum" requirements to run Photoshop 21.0 and greater states that Windows has to be version 1809 or greater. 
Our firm has been running 1803 with Photoshop 21.0.3 and have not had any issues. I think it would be great if Photoshop can identify the differences between minimum requirements and recommended requirements. 

It looks like in Premiere Pro system requirements, the identification differences between minimum and recommended has already been done. 
https://helpx.adobe.com/premiere-pro/system-requirements.html

However, in Photoshop, it shows only the minimum requirements. Could we differentiate between minimum and recommended specs?
https://helpx.adobe.com/photoshop/system-requirements.html
Photo of Rae

Rae

  • 1 Post
  • 0 Reply Likes

Posted 4 months ago

  • 1

Be the first to post a reply!